All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview.html
Class DefaultTableHeaderRenderer

    com.sas.servlet.tbeans.tableview.html.DefaultTableHeaderRenderer

All Implemented Interfaces:
  HttpConstants, StyleInterface, TableCell, TableCellRenderer, javax.swing.SwingConstants

Direct Known Subclasses:
  NoColumnTableHeaderRenderer

    public class DefaultTableHeaderRenderer

The DefaultTableHeaderRenderer is a class that generates the appropriate HTML 4.0 to represent a cell in the header row of a TableView. This class subclasses the DefaultTableCellRenderer and sets the header field to true.

For More Information:

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:ColumnHeaderRenderer custom tag.

See Also:
  `TableView`

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.HttpConstants
`ALL, BASELINE, CHAR, COL, COLGROUP, JUSTIFY, MULTIPLE, NONE, ROW, ROWGROUP, SINGLE`

Constructor Summary
`DefaultTableHeaderRenderer()` Constructs a new DefaultTableHeaderRenderer.
`DefaultTableHeaderRenderer(TableCellContentsRenderer cRenderer)` Constructs a new DefaultTableHeaderRenderer with the given TableCellContentsRenderer and sets the header field to true.

Method Summary

Methods inherited from class com.sas.servlet.tbeans.tableview.html.DefaultTableCellRenderer
`getTableCellContentsRenderer, setTableCellContentsRenderer, write`

Methods inherited from class com.sas.servlet.tbeans.tableview.html.BaseTableCell
`getBgColor, getColSpan, getCustomAttributes, getHeaders, getHeight, getHeightPercentage, getHorizontalAlignment, getId, getLocale, getRowSpan, getScope, getStyleInfo, getVerticalAlignment, getWidth, getWidthPercentage, isHeader, isNoWrap, setBgColor, setColSpan, setCustomAttributes, setHeader, setHeaders, setHeight, setHeightPercentage, setHorizontalAlignment, setId, setLocale, setNoWrap, setRowSpan, setScope, setStyleInfo, setVerticalAlignment, setWidth, setWidthPercentage, writeBeginCell, writeEndCell`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCellRenderer
`getLocale, setLocale`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCell
`isHeader, setHeader, writeBeginCell, writeEndCell`

Constructor Detail

### DefaultTableHeaderRenderer

    public DefaultTableHeaderRenderer()

  Constructs a new DefaultTableHeaderRenderer.

### DefaultTableHeaderRenderer

    public DefaultTableHeaderRenderer(TableCellContentsRenderer cRenderer)

  Constructs a new DefaultTableHeaderRenderer with the given TableCellContentsRenderer and sets the header field to true.

  Parameters:
    `cRenderer` - an instance of TableCellContentsRenderer

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.